<?php

namespace App\DataFixtures;

use App\Entity\Category;
use App\Entity\Product;
use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Common\Persistence\ObjectManager;

class CatalogFixture extends Fixture {

  /**
   * Load data fixtures with the passed EntityManager
   *
   * @param ObjectManager $manager
   */
  public function load(ObjectManager $manager) {
    $nCat = 3;

    $cats = [];
    for ($i = 0; $i < $nCat; $i++) {
      $cat = new Category();
      $cat->setName("category{$i}");
      $manager->persist($cat);
      $cats[$i] = $cat;
    }

    for ($i = 0; $i < 7 * $nCat; $i++) {
      $prod = new Product();
      $prod->setName("product{$i}");
      $prod->setPrice(mt_rand(100 * $i, 100 * ($i + 1)) / 100);
      $prod->setCategory($cats[$i % $nCat]);
      $manager->persist($prod);
    }

    $manager->flush();
  }
}
